Delete a match rule
curl --request DELETE \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/rules/{ruleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/rules/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0113",
"title": "Not Found",
"message": "rule not found"
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Delete a match rule
Use this endpoint to delete a specific match rule by its identifier.
DELETE
/
v1
/
contexts
/
{contextId}
/
rules
/
{ruleId}
Delete a match rule
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the reconciliation context.
The unique identifier of the match rule.
Response
Match rule successfully deleted
Was this page helpful?
⌘I

